package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.Abonofl;
import com.cosmodas.EntCosmos.AbonosTigo;

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

@Stateless
public class AbonoTigoDao extends AbstractFacade<AbonosTigo> implements AbonoTigoDaoLocal{

    @PersistenceContext(unitName = "wcosmodasPersistent")
    private EntityManager em;

    @Override
    protected EntityManager getEntityManager() {
        return em;
    }

    public AbonoTigoDao() {
        super(AbonosTigo.class);
    }
}
